import request from '@/utils/request'
import { URL } from '@/config'

export function getBaseList(params) {
  return request({
    url: URL.edu.lecturer.getList,
    method: 'get',
    params,
  })
}

export function getLecturerInfo(params) {
  return request({
    url: URL.edu.lecturer.getLecturerInfo,
    method: 'get',
    params,
  })
}

export function add(data) {
  return request({
    url: URL.edu.lecturer.add,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.edu.lecturer.doDelete,
    method: 'post',
    data,
  })
}

export function enable(data) {
  return request({
    url: URL.edu.lecturer.enable,
    method: 'post',
    data,
  })
}

export function getLecturerList(params) {
  return request({
    url: URL.edu.lecturer.getLecturerList,
    method: 'get',
    params,
  })
}
